Issue1436

classification
Title: Provide Source Archives
Type: rfe Severity: normal
Components: Installer, website Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: Arfrever, ashcrow, dsdale24, fwierzbicki
Priority: normal Keywords:

Created on 2009-08-15.21:01:15 by ashcrow, last changed 2012-08-08.22:34:23 by fwierzbicki.

Messages
msg5030 (view) Author: Steve "Ashcrow" Milner (ashcrow) Date: 2009-08-15.21:01:14
I noticed that the Fedora jython package has a script that attempts to
find proper sources within SVN for a release ....

Please create official source releases along with the installers and
link them on the website download page. This should make it easier for
packagers to package jython in distributions.

I'd like to see tar.gz or tar.bz2 but I could live with .zip :-P.
msg5033 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-08-15.23:37:36
What should the tar.gz contain?  The source + an ant build.xml for building?
msg5034 (view) Author: Steve "Ashcrow" Milner (ashcrow) Date: 2009-08-16.00:03:40
src + ant build.xml plus any documentation/license files. I will post 
what was in the 2.2 tarball used to build from.
msg5035 (view) Author: Steve "Ashcrow" Milner (ashcrow) Date: 2009-08-16.00:11:17
I'd recomend the source tarball be called jython-$version.tar.gz ... the
current packagers look like they use the special naming to note it isn't
an official upstream source tarball.

The command used moves back one directory context to show a list of
directories.

$ tar -tjf jython-fetched-src-Release_2_2_1.tar.bz2 | rev | sed -e
"s/[^\/]*//" | rev | sort | uniq
jython-svn-Release_2_2_1/
jython-svn-Release_2_2_1/bugtests/
jython-svn-Release_2_2_1/bugtests/classes/
jython-svn-Release_2_2_1/bugtests/classes/test092m/
jython-svn-Release_2_2_1/bugtests/classes/test121p/
jython-svn-Release_2_2_1/bugtests/classes/test217p/
jython-svn-Release_2_2_1/bugtests/classes/test232p/
jython-svn-Release_2_2_1/bugtests/classes/test246p/
jython-svn-Release_2_2_1/bugtests/classes/test301p/
jython-svn-Release_2_2_1/bugtests/classes/test336p/
jython-svn-Release_2_2_1/bugtests/classes/test336p/data/
jython-svn-Release_2_2_1/bugtests/simplejar/
jython-svn-Release_2_2_1/bugtests/simplejar/javapackage/
jython-svn-Release_2_2_1/bugtests/test049p/
jython-svn-Release_2_2_1/bugtests/test088p/
jython-svn-Release_2_2_1/bugtests/test122p/
jython-svn-Release_2_2_1/bugtests/test154p/
jython-svn-Release_2_2_1/bugtests/test168p/
jython-svn-Release_2_2_1/bugtests/test168p/submod/
jython-svn-Release_2_2_1/bugtests/test170p/
jython-svn-Release_2_2_1/bugtests/test171p/
jython-svn-Release_2_2_1/bugtests/test173p/
jython-svn-Release_2_2_1/bugtests/test194m/
jython-svn-Release_2_2_1/bugtests/test209p/
jython-svn-Release_2_2_1/bugtests/test209p/foo/
jython-svn-Release_2_2_1/bugtests/test235p/
jython-svn-Release_2_2_1/bugtests/test238p/
jython-svn-Release_2_2_1/bugtests/test240p/
jython-svn-Release_2_2_1/bugtests/test241p/
jython-svn-Release_2_2_1/bugtests/test243p/
jython-svn-Release_2_2_1/bugtests/test243p/real/
jython-svn-Release_2_2_1/bugtests/test244p/
jython-svn-Release_2_2_1/bugtests/test261p/
jython-svn-Release_2_2_1/bugtests/test261p/ccs/
jython-svn-Release_2_2_1/bugtests/test261p/ccs/util/
jython-svn-Release_2_2_1/bugtests/test262p/
jython-svn-Release_2_2_1/bugtests/test262p/p1/
jython-svn-Release_2_2_1/bugtests/test269p/
jython-svn-Release_2_2_1/bugtests/test270p/
jython-svn-Release_2_2_1/bugtests/test273p/
jython-svn-Release_2_2_1/bugtests/test273p/com/
jython-svn-Release_2_2_1/bugtests/test277p/
jython-svn-Release_2_2_1/bugtests/test278p/
jython-svn-Release_2_2_1/bugtests/test293p/
jython-svn-Release_2_2_1/bugtests/test293p/submod/
jython-svn-Release_2_2_1/bugtests/test296p/
jython-svn-Release_2_2_1/bugtests/test308d/
jython-svn-Release_2_2_1/bugtests/test342p/
jython-svn-Release_2_2_1/bugtests/test364p/
jython-svn-Release_2_2_1/bugtests/test386jar/
jython-svn-Release_2_2_1/bugtests/test387p/
jython-svn-Release_2_2_1/bugtests/test388m/
jython-svn-Release_2_2_1/bugtests/test392LibDir/
jython-svn-Release_2_2_1/bugtests/test394jar/
jython-svn-Release_2_2_1/bugtests/test400/
jython-svn-Release_2_2_1/bugtests/test400/x/
jython-svn-Release_2_2_1/bugtests/test401/
jython-svn-Release_2_2_1/CPythonLib/
jython-svn-Release_2_2_1/CPythonLib/compiler/
jython-svn-Release_2_2_1/CPythonLib/curses/
jython-svn-Release_2_2_1/CPythonLib/distutils/
jython-svn-Release_2_2_1/CPythonLib/distutils/command/
jython-svn-Release_2_2_1/CPythonLib/email/
jython-svn-Release_2_2_1/CPythonLib/email/test/
jython-svn-Release_2_2_1/CPythonLib/email/test/data/
jython-svn-Release_2_2_1/CPythonLib/encodings/
jython-svn-Release_2_2_1/CPythonLib/hotshot/
jython-svn-Release_2_2_1/CPythonLib/lib-old/
jython-svn-Release_2_2_1/CPythonLib/lib-tk/
jython-svn-Release_2_2_1/CPythonLib/plat-aix3/
jython-svn-Release_2_2_1/CPythonLib/plat-aix4/
jython-svn-Release_2_2_1/CPythonLib/plat-beos5/
jython-svn-Release_2_2_1/CPythonLib/plat-darwin/
jython-svn-Release_2_2_1/CPythonLib/plat-freebsd2/
jython-svn-Release_2_2_1/CPythonLib/plat-freebsd3/
jython-svn-Release_2_2_1/CPythonLib/plat-freebsd4/
jython-svn-Release_2_2_1/CPythonLib/plat-freebsd5/
jython-svn-Release_2_2_1/CPythonLib/plat-generic/
jython-svn-Release_2_2_1/CPythonLib/plat-irix5/
jython-svn-Release_2_2_1/CPythonLib/plat-irix6/
jython-svn-Release_2_2_1/CPythonLib/plat-linux1/
jython-svn-Release_2_2_1/CPythonLib/plat-linux2/
jython-svn-Release_2_2_1/CPythonLib/plat-netbsd1/
jython-svn-Release_2_2_1/CPythonLib/plat-next3/
jython-svn-Release_2_2_1/CPythonLib/plat-riscos/
jython-svn-Release_2_2_1/CPythonLib/plat-sunos4/
jython-svn-Release_2_2_1/CPythonLib/plat-sunos5/
jython-svn-Release_2_2_1/CPythonLib/plat-unixware7/
jython-svn-Release_2_2_1/CPythonLib/site-packages/
jython-svn-Release_2_2_1/CPythonLib/test/
jython-svn-Release_2_2_1/CPythonLib/test/data/
jython-svn-Release_2_2_1/CPythonLib/test/output/
jython-svn-Release_2_2_1/CPythonLib/xml/
jython-svn-Release_2_2_1/CPythonLib/xml/dom/
jython-svn-Release_2_2_1/CPythonLib/xml/parsers/
jython-svn-Release_2_2_1/CPythonLib/xml/sax/
jython-svn-Release_2_2_1/Demo/
jython-svn-Release_2_2_1/Demo/applet/
jython-svn-Release_2_2_1/Demo/awt/
jython-svn-Release_2_2_1/Demo/bean/
jython-svn-Release_2_2_1/Demo/embed/
jython-svn-Release_2_2_1/Demo/javaclasses/
jython-svn-Release_2_2_1/Demo/javaclasses/pygraph/
jython-svn-Release_2_2_1/Demo/jreload/
jython-svn-Release_2_2_1/Demo/jreload/src/
jython-svn-Release_2_2_1/Demo/jreload/src/example/
jython-svn-Release_2_2_1/Demo/jreload/_xample/
jython-svn-Release_2_2_1/Demo/swing/
jython-svn-Release_2_2_1/Doc/
jython-svn-Release_2_2_1/Doc/images/
jython-svn-Release_2_2_1/Lib/
jython-svn-Release_2_2_1/Lib/jxxload_help/
jython-svn-Release_2_2_1/Lib/pawt/
jython-svn-Release_2_2_1/Lib/test/
jython-svn-Release_2_2_1/Lib/test/bugs/
jython-svn-Release_2_2_1/Lib/test/bugs/pr133/
jython-svn-Release_2_2_1/Lib/test/javatests/
jython-svn-Release_2_2_1/Lib/test/output/
jython-svn-Release_2_2_1/Lib/test/zxjdbc/
jython-svn-Release_2_2_1/Lib/xml/
jython-svn-Release_2_2_1/Lib/xml/dom/
jython-svn-Release_2_2_1/Lib/xml/sax/
jython-svn-Release_2_2_1/Lib/xml/sax/drivers2/
jython-svn-Release_2_2_1/maven/
jython-svn-Release_2_2_1/Misc/
jython-svn-Release_2_2_1/Misc/htgen/
jython-svn-Release_2_2_1/src/
jython-svn-Release_2_2_1/src/com/
jython-svn-Release_2_2_1/src/com/ziclix/
jython-svn-Release_2_2_1/src/com/ziclix/python/
jython-svn-Release_2_2_1/src/com/ziclix/python/sql/
jython-svn-Release_2_2_1/src/com/ziclix/python/sql/connect/
jython-svn-Release_2_2_1/src/com/ziclix/python/sql/handler/
jython-svn-Release_2_2_1/src/com/ziclix/python/sql/pipe/
jython-svn-Release_2_2_1/src/com/ziclix/python/sql/pipe/csv/
jython-svn-Release_2_2_1/src/com/ziclix/python/sql/pipe/db/
jython-svn-Release_2_2_1/src/com/ziclix/python/sql/procedure/
jython-svn-Release_2_2_1/src/com/ziclix/python/sql/resource/
jython-svn-Release_2_2_1/src/com/ziclix/python/sql/util/
jython-svn-Release_2_2_1/src/org/
jython-svn-Release_2_2_1/src/org/python/
jython-svn-Release_2_2_1/src/org/python/compiler/
jython-svn-Release_2_2_1/src/org/python/core/
jython-svn-Release_2_2_1/src/org/python/core/adapter/
jython-svn-Release_2_2_1/src/org/python/modules/
jython-svn-Release_2_2_1/src/org/python/modules/sets/
jython-svn-Release_2_2_1/src/org/python/modules/sre/
jython-svn-Release_2_2_1/src/org/python/modules/time/
jython-svn-Release_2_2_1/src/org/python/parser/
jython-svn-Release_2_2_1/src/org/python/parser/ast/
jython-svn-Release_2_2_1/src/org/python/rmi/
jython-svn-Release_2_2_1/src/org/python/util/
jython-svn-Release_2_2_1/src/templates/
jython-svn-Release_2_2_1/Tools/
jython-svn-Release_2_2_1/Tools/freeze/
jython-svn-Release_2_2_1/Tools/jythonc/
jython-svn-Release_2_2_1/Tools/jythonc/jast/
msg5542 (view) Author: Darren Dale (dsdale24) Date: 2010-02-19.15:54:03
Any chance of a source distribution being posted for the most recent version?
msg7355 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-08-08.22:34:22
Only a couple of years late - the sources for 2.5.3rc1 can be found here:

http://search.maven.org/remotecontent?filepath=org/python/jython/2.5.3-rc1/jython-2.5.3-rc1-sources.jar

 All future releases will have source jars at maven central.
History
Date User Action Args
2012-08-08 22:34:23fwierzbickisetstatus: open -> closed
priority: normal
resolution: accepted -> fixed
messages: + msg7355
2012-06-14 02:46:57Arfreversetnosy: + Arfrever
2010-02-19 15:54:04dsdale24setnosy: + dsdale24
messages: + msg5542
2009-08-16 00:11:18ashcrowsetmessages: + msg5035
2009-08-16 00:03:40ashcrowsetmessages: + msg5034
2009-08-15 23:37:36fwierzbickisetassignee: fwierzbicki
resolution: accepted
messages: + msg5033
nosy: + fwierzbicki
2009-08-15 21:01:15ashcrowcreate